Name:           python-dosepy
Version:        0.9.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Film dosimetry and gamma analysis for dose distributions in radiotherapy

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://dosepy.readthedocs.io/en/latest/intro.html
Source:         %{pypi_source dosepy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dosepy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dosepy
Summary:        %{summary}

%description -n python3-dosepy %_description


%prep
%autosetup -p1 -n dosepy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dosepy -f %{pyproject_files}


%changelog
%autochangelog